﻿<?php
/**
 * @file page.tpl.php
 *
 * Theme implementation to display a single Drupal page.
 *
 * @see template_preprocess()
 * @see template_preprocess_page()
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language; ?>" xml:lang="<?php print $language->language; ?>">
<head>
  <title><?php print $head_title; ?></title>
  <?php print $head; ?>
  <?php print $styles; ?>
  <!--[if IE]>
    <link rel="stylesheet" href="<?php print $base_path . $directory; ?>/ie.css" type="text/css">
  <![endif]-->
  <?php print $scripts; ?>
</head>
<body class="<?php print $body_class; ?>">
  <div id="maincont">
  <?php if ($leaderboard): ?>
    <!-- LEADERBOARD -->
    <div id="leaderboard" class="width-952 last nofloat">
      <?php print $leaderboard; ?>
    </div> <!-- /leaderboard -->
  <?php endif; ?>
  <?php if ($logo || $site_name || $site_slogan || $search_box || $right_header): ?>
  <!-- HEADER -->
  <div id="head" class="width-952 last nofloat" <?php if ($headbgr): print 'style="background:transparent url('.$headbgr.') repeat scroll right top; display:table;"'; endif;?>>
    <?php if ($logo || $site_name || $site_slogan): ?>
      <div class="branding width-30-590">
        <?php if ($logo):
          print $logo;
        else:
          print $site_name;
        endif; ?>        
        <?php if ($site_slogan): ?>
          <div id="slogan">
            <em><?php print $site_slogan; ?><span>®</span></em>
          </div>
        <?php endif; ?>
      </div> <!-- /branding -->
        <?php endif; ?>
                
    <?php if ($search_box): ?>
      <div id="search-box-top" class="width-18-350 last">
        <?php print $search_box; ?>
      </div> <!-- /search -->
    <?php else:?>
      <?php if ($right_header): ?>
        <div id="right-header" class="width-18-350 last">
          <?php print $right_header;?>
        </div> <!-- /right-header -->
      <?php endif; ?>
    <?php endif; ?>
  </div> <!-- /header -->
  <?php endif; ?>
  <!-- TOP NAVIGATION -->
  <div id="main-navigation" class="width-952 last nofloat">
    <?php if ($primary_links): ?>
      <!-- PRIMARY -->
      <div id="primary-menu" class="width-46-910">
        <?php print $primary_links_tree; ?>
      </div> <!-- /primary -->
    <?php endif; ?>
    <!-- FEED ICON -->
    <div class="feed-icons width-2-30 last clearfix">
      <a href="<?php print $base_path; ?>rss.xml" class="feed-icon">
        <img src="<?php print $base_path . $directory; ?>/images/rss.png" alt="RSS Feed" title="RSS Feed" width="16" height="16" />
      </a> 
    </div> <!-- /feed icon -->
  </div> <!-- /top navigation -->

  <?php if ($secondary_links): ?> 
     <!-- SECONDARY -->
    <div id="secondary-menu" class="width-955 last nofloat">
      <?php print theme('links', $secondary_links); ?>
    </div>
  <?php endif; ?>

  <?php if ($header): ?>
    <div id="header" class="width-955 last nofloat">
      <?php print $header; ?>
    </div> <!-- /header -->
  <?php endif; ?>
  <div id="main-content">
    <?php if ($content_top_full_width || $content_top_left || $content_top_content): ?>
      <!-- CONTENT TOP -->
      <div id="content-top" class="width-48-950 last nofloat">
        <?php if ($content_top_full_width): ?>
          <div id="content-top-full-width" class="width-48-950 last nofloat">
            <?php print $content_top_full_width; ?>
          </div> <!-- /content-top-full-width -->
        <?php endif; ?>
        <?php if (($content_top_left)&&($content_top_right)): ?>
          <div class="content-top-col-1 width-24-470">
            <?php print $content_top_left; ?>
          </div> <!-- /content-top-col-1 -->
          <div class="content-top-col-2 width-24-470 last">
            <?php print $content_top_right; ?>
          </div> <!-- /content-top-col-2 -->  
        <?php endif; ?>
      </div> <!-- /content-top -->
    <?php endif; ?>
  
    <!-- MAIN WRAPPER -->
    <div id="col_wrapper" class="width-48-950">
      <?php if ($left): ?>
        <!-- LEFT -->
        <div id="left" class="width-10-190">
          <?php print $left; ?>
        </div> <!-- /left -->
      <?php endif; ?>
      <!-- CONTENT -->
      <div id="content" class="<?php print citynews_col_width($left, $content, $right, $right_2, $right_top_box, $right_bottom_box); ?>">
        <?php if ($main_content_top): ?>
          <div id="main-content-top">
              <?php print $main_content_top; ?>
          </div>
        <?php endif; ?>
        <?php print $breadcrumb; ?>
        <?php if ($title): ?>
          <?php print $title; ?>
        <?php endif; ?>
        <?php if ($messages): ?>
          <div id="messages"><?php print $messages; ?></div>
        <?php endif; ?>
        <?php if ($tabs): ?>
          <div class="tabs"><?php print $tabs; ?></div>
        <?php endif; ?>
        <?php print $help; ?>
        <?php if ($mission): ?>
          <div class="mission"><?php print $mission; ?></div>
        <?php endif; ?>
        
        <?php print $content; ?> 
        <?php if ($main_content_bottom): ?>
          <div id="main-content-bottom">
              <?php print $main_content_bottom; ?>
          </div>
        <?php endif; ?>
                
      </div> <!-- /content -->
      <?php if (citynews_four_colunm($left, $content, $right, $right_2, $right_top_box, $right_bottom_box)) : ?>
        <div id="right-col-wrapper" class="width-20-390 last">
        <?php if ($right_top_box): ?>
          <div id="right-top-box" class="width-20-390 last nofloat">
            <?php print $right_top_box; ?>
          </div> <!-- /right 2 -->
        <?php endif; ?>
      <?php endif; ?>
      <?php if (($right_2)&&($right)): ?>
        <div id="right_2" class="width-10-190">
          <?php print $right_2; ?>
        </div>
        <div id="right" class="width-10-190 last">
          <?php print $right; ?>
        </div>
      <?php else:?>
        <?php if ($right_2): ?>
          <!-- RIGHT 2 -->
          <div id="right_2" class="width-10-190 last">
            <?php print $right_2; ?>
          </div> <!-- /right 2 -->
        <?php endif; ?>
        <?php if ($right): ?>
          <!-- RIGHT -->
          <div id="right" class="width-10-190 last">
            <?php print $right; ?>
          </div> <!-- /right -->
        <?php endif; ?>
      <?php endif;?>
      <?php if ((($right_top_box || $right_bottom_box) && ($right_2 && $right)) || (($right_top_box || $right_bottom_box) && !($right_2 || $right))): ?>
        <div id="right-bottom-box" class="width-20-390 last nofloat">
          <?php print $right_bottom_box; ?>
        </div> <!-- /right 2 -->
      <?php endif; ?>
      <?php if ((($right_top_box || $right_bottom_box) && ($right_2 && $right)) || (($right_top_box || $right_bottom_box) && !($right_2 || $right))): ?>
        </div> <!-- /right cols wrapper  -->
      <?php endif; ?>
    </div> <!-- /col_wrapper-->
    <?php if ($content_bottom_full_width || $content_bottom_left || $content_bottom_content): ?>
      <!-- CONTENT BOTTOM -->
      <div id="content-bottom" class="width-48-950 last nofloat">
        <?php if (($content_bottom_left)&&($content_bottom_right)): ?>
          <div class="content-bottom-col-1 width-24-470">
            <?php print $content_bottom_left; ?>
          </div> <!-- /content-bottom-col-1 -->
          <div class="content-bottom-col-2 width-24-470 last">
            <?php print $content_bottom_right; ?>
          </div> <!-- /content-bottom-col-2 -->
        <?php endif; ?>
        <?php if ($content_bottom_full_width): ?>
          <div id="content-bottom-full-width" class="width-48-950 last nofloat">
            <?php print $content_bottom_full_width; ?>
          </div> <!-- /content-bottom-full-width -->
        <?php endif; ?>
      </div> <!-- /content-bottom -->
    <?php endif; ?>
    <!-- FOOTER -->
    <div id="footer" class="wwidth-48-950 last nofloat">
      <?php print $footer; ?>
    </div>  <!-- /footer -->
    <?php if ($footer_message): ?>
      <!-- FOOTER MESSAGE-->
      <div id="footer-message" class="width-48-950 last nofloat small">
        <?php print $footer_message ?>
      </div>  <!-- /footer message -->
    <?php endif; ?>
  </div> <!-- /main-content -->
  <?php print $closure ?>
  </div> <!-- /maincont -->
</body>
</html>